/*
 * rock.c
 *
 * Last modified: <2009/06/24 20:29:10 +0900> By SUMIDA
 */
#include <SDL.h>
#include "system.h"
#include "texture.h"
#include "ship.h"
#include "shot.h"
#include "enemy.h"
#include "effect.h"

extern SHIP_MGR enemy_mgr;

void rock_init(SHIP_INFO *info) {

	REPORT(format("info=%p, id=%d", info, info->id));
	info->sprite.options |= 15;
	info->sprite.dx = ToReal(Random(-1, 1));
	info->sprite.dy = ToReal(Random(1, 2));

	if (info->id == SHIP_ID_ROCK) {
		info->flag |= SHIP_FLAG_HEAVY;
	}
}

void rock(SHIP_INFO *info, SHOT_MGR *shot_mgr, SHIP_INFO *ship) {
}

void rock_term(SHIP_INFO *info) {
	REPORT(format("info=%p", info));
}

