/*
 * sound.h
 *
 * Last modified: <2009/11/21 11:48:03 +0900> By SUMIDA
 */
#ifndef SOUND_H_INCLUDED
#define SOUND_H_INCLUDED

#include <SDL_mixer.h>
#include "audio.h"

extern void sound_init(void);
extern void sound_free(void);

extern void sound_load_music(const char* file, BGM_ID id);
extern void sound_load_effect(const char* file, SE_ID id);

extern void sound_music(BGM_ID id, int loop);
extern void sound_effect(SE_ID id);

extern void sound_stop_music(void);
extern void sound_stop_effect(void);

extern int sound_playing_music(void);

#endif
